blob: 7ae25eb7c2b05fa2ec14c7ed6a1f4c08d74e27f4 [file] [log] [blame]
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/gnome-extra/yelp/yelp-2.24.0-r10.ebuild,v 1.13 2009/09/10 20:43:14 eva Exp $
EAPI="1"
inherit gnome2
DESCRIPTION="Help browser for GNOME"
HOMEPAGE="http://www.gnome.org/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86"
IUSE="beagle lzma"
RDEPEND=">=gnome-base/gconf-2
>=app-text/gnome-doc-utils-0.11.1
>=x11-libs/gtk+-2.10
>=dev-libs/glib-2.16
>=gnome-base/libglade-2
>=gnome-base/libgnome-2.14
>=gnome-base/libgnomeui-2.14
>=dev-libs/libxml2-2.6.5
>=dev-libs/libxslt-1.1.4
>=x11-libs/startup-notification-0.8
>=dev-libs/dbus-glib-0.71
beagle? ( || ( >=dev-libs/libbeagle-0.3.0 =app-misc/beagle-0.2* ) )
net-libs/xulrunner:1.9
sys-libs/zlib
app-arch/bzip2
lzma? ( || (
app-arch/xz-utils
app-arch/lzma-utils ) )
>=app-text/rarian-0.7
>=app-text/scrollkeeper-9999"
DEPEND="${RDEPEND}
sys-devel/gettext
>=dev-util/intltool-0.35
>=dev-util/pkgconfig-0.9"
# If eautoreconf:
# gnome-base/gnome-common
DOCS="AUTHORS ChangeLog NEWS README TODO"
src_unpack() {
gnome2_src_unpack
# strip stupid options in configure, see bug #196621
sed -i 's|$AM_CFLAGS -pedantic -ansi|$AM_CFLAGS|' configure || die "sed failed"
}
pkg_setup() {
# FIXME: Add patch to make lzma-utils not automagic and use_enable here
G2CONF="${G2CONF} --enable-man --enable-info --with-gecko=libxul-embedding"
if use beagle; then
G2CONF="${G2CONF} --with-search=beagle"
else
G2CONF="${G2CONF} --with-search=basic"
fi
}